source("basic.r")
source("data.read.r")

# remake year
year.LH <- unique.ecode+1900-(1/12)

# calculate effects
out.LH <- eff.dif.all(vote.to.seat.out.LH)

# published figures
make.jpeg.LH(out.LH$eff.MN,c("}4 Oc@cIiȊOj"),c("ᐫiMNwWj"),c(1955,-300),year.LH,c("fig4.LH.MN.jpg"))

####################################
# Not Reported but Mentioned Results

#####
# LH  Gallagher

make.fig.LH(out.LH$eff.LH,c("Lower House"),c("Loosemore Hanby"),c(50,-0.3),year.LH)
make.fig.LH(out.LH$eff.G,c("Lower House"),c("Gallagher"),c(50,-0.3),year.LH)
make.fig.LH(out.LH$eff.enp,c("Lower House"),c("Reduction of Effective Number of Parties"),c(50,-1.3),year.LH)
make.fig.LH(out.LH$eff.max,c("Lower House"),c("Largest Party Bonus"),c(55,-0.3),year.LH)

########################
# give example (Table 1)

kaiji <- 38
write.csv(vote.to.seat.out.LH[[kaiji]]$seat.mat,"ex.csv")
write.csv(vote.to.seat.out.LH[[kaiji]]$vote.rate,"ex2.csv")
write.csv(out.LH$eff.MN[kaiji,],"ex3.csv")

temp <- out.LH$eff.MN[kaiji,]
MN.values <- array()
MN.values[1] <- temp[6]+temp[3]+temp[1]+temp[2]+temp[4]+temp[5]
MN.values[2] <- temp[3]+temp[1]+temp[2]+temp[4]+temp[5]
MN.values[3] <- temp[2]+temp[4]+temp[5]
MN.values[4] <- temp[1]+temp[4]+temp[5]
MN.values[5] <- temp[4]+temp[5]
MN.values[6] <- temp[5]
MN.values[7] <- 0
MN.values
